### Method

# Ide Context cache_file

#### Declaration

    GFile*
    ide_context_cache_file (
      IdeContext* self,
      const gchar* first_part,
      ...
    )

#### Description

Like `ide_context_cache_filename()` but returns a `GFile`.

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`first_part` | `const gchar*`
| The first part of the path.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.

#### Return value

Returns: | `GFile`
| A `GFile` for the cache file.
| The caller of the method takes ownership of the data, and is responsible for freeing it.